@echo off

cd LivePortrait

call .\venv\Scripts\activate.bat || exit /b

set PYTHONWARNINGS=ignore

:choice
echo Please select an option:
echo 1. Human Live Portrait
echo 2. Animal Live Portrait
set /P c=Enter your choice (1 or 2): 
if "%c%"=="1" goto :human
if "%c%"=="2" goto :animal
echo Invalid option. Please try again.
goto :choice

:human
echo Starting Human Live Portrait...
python app.py
goto :end

:animal
echo Starting Animal Live Portrait...
python app_animals.py
goto :end

:end
pause